<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DataMenuMatAusgInteresseFactory
{
  public static function getDataMenu($urlparameter)
  {
    $stufe = $urlparameter->stufe;

    switch ($stufe) {
      case 1:
        return new DataMenuMatAusgInteresseEingabe($urlparameter);
      case 2:
        $checkeingabe = new MatAusgInteresseCheck();

        return $checkeingabe->getDatamenu($urlparameter);
      case 3:
        if (SessionOperations::getVarValueIntern('materialInteresseCheckValid', false)) {
          SessionOperations::setVarValueIntern('materialInteresseCheckValid', null);

          return new DataMenuMatAusgInteresseBestaetigung($urlparameter);
        } else {
          return new DataMenuMatAusgInteresseEingabe($urlparameter);
        }
    }
  }
}